Subject: bug#79367: 31.0.50; magit-commit sometimes doesn't work if diff-hl-update-async is t

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 17:54:30 +0300

> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> Date: Sat, 06 Sep 2025 17:41:33 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Vincenzo Pupillo <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> >  Eli Zaretskii <[email-masked]>
> > Date: Sat, 06 Sep 2025 16:06:27 +0200
> > 
> > Ciao Eli, after the commit 6c150961fd07e19b6c871d8963d6b9826ec8140f (HEAD)  to 
> > the master emacs --daemon (with my configuration) now uses 100% of the CPU 
> > even if nothing at all is being done in a client.
> > Checking out 6b42b974ceabba8b0215498d4a6eb5048d91514d and recompiling fix the 
> > issue. Could the issue be related to this commit on src/process.c?
> 
> I cannot reproduce this.  Please show a recipe starting from how you
> start the daemon and then how you start the client.  I tried the naïve
> thing, but 'top' didn't show any 100% CPU consumption by either the
> daemon or the client.

However, I've just installed something to make that change safer.  So
before you post the recipe, please check if the latest master still
exhibits the problematic behavior.